org.apache.ignite.internal.sql.command

## Interface SqlCommand

All Known Implementing Classes:
  SqlAlterTableCommand, SqlAlterUserCommand, SqlBeginTransactionCommand, SqlBulkLoadCommand, SqlCommitTransactionCommand, SqlCreateIndexCommand, SqlCreateUserCommand, SqlDropIndexCommand, SqlDropUserCommand, SqlRollbackTransactionCommand, SqlSetStreamingCommand

    public interface SqlCommand

Generic SQL command.

### Method Summary

All Methods Instance Methods Abstract Methods
`SqlCommand` `parse(SqlLexer lex)` Parse command.
`String` `schemaName()`
`void` `schemaName(String schemaName)`

### Method Detail

#### parse

    SqlCommand parse(SqlLexer lex)

Parse command.

Parameters:
  `lex` - Lexer.
Returns:
  This instance.

#### schemaName

    String schemaName()

Returns:
  Schema name.

#### schemaName

    void schemaName(String schemaName)

Parameters:
  `schemaName` - Schema name.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018